summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 8bef068a..13df2603 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -141,10 +141,12 @@ handle_image() {
         #              -- "${FILE_PATH}" "${IMAGE_CACHE_PATH%.*}" \
         #         && exit 6 || exit 1;;
 
-        # ePub
-        # Needs <https://github.com/marianosimone/epub-thumbnailer>.
-        # Alternative with more supported formats but more dependencies:
-        # <https://inigo.katxi.org/devel/ebook-thumbnailer>.
+        # ePub, MOBI, FB2 (using Calibre)
+        # application/epub+zip|application/x-mobipocket-ebook|application/x-fictionbook+xml)
+        #     ebook-meta --get-cover="${IMAGE_CACHE_PATH}" -- "${FILE_PATH}" > /dev/null \
+        #         && exit 6 || exit 1;;
+
+        # ePub (using <https://github.com/marianosimone/epub-thumbnailer>)
         # application/epub+zip)
         #     epub-thumbnailer \
         #         "${FILE_PATH}" "${IMAGE_CACHE_PATH}" "${DEFAULT_SIZE%x*}" \